Subject: [TLS] [Errata Rejected] RFC2246 (3481)

From: RFC Errata System <[email-masked]>
Date: Thu, 8 May 2014 09:26:35 -0700 (PDT)

The following errata report has been rejected for RFC2246,
"The TLS Protocol Version 1.0".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=2246&eid=3481

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Martin Rex <[email-masked]>
Date Reported: 2013-02-08
Rejected by: Stephen Farrell (IESG)

Section: 8.1.2

Original Text
-------------
8.1.2. Diffie-Hellman

   A conventional Diffie-Hellman computation is performed. The
   negotiated key (Z) is used as the pre_master_secret, and is converted
   into the master_secret, as specified above.

Corrected Text
--------------
8.1.2. Diffie-Hellman

   A conventional Diffie-Hellman computation is performed.  The
   negotiated key (Z) is used as the pre_master_secret, and is converted
   into the master_secret, as specified above.  Leading bytes of Z that
   contain all zero bits are stripped before it is used as the
   pre_master_secret.

Notes
-----
Adopting the clarification from rfc4346 Section 8.1.2.  Not stripping the leading zero bits of Z will cause interop problems (handshake failures) with the installed base.  Rfc2246 is still the authoritative spec for TLSv1.0.  One can not implement TLSv1.0 from rfc4346.
 --VERIFIER NOTES-- 
We don't post errata for things fixed when an RFC is obsoleted.

--------------------------------------
RFC2246 (no draft string recorded)
--------------------------------------
Title               : The TLS Protocol Version 1.0
Publication Date    : January 1999
Author(s)           : T. Dierks, C. Allen
Category            : PROPOSED STANDARD
Source              : Transport Layer Security
Area                : Security
Stream              : IETF
Verifying Party     : IESG